POST api/List/{listId}/Item/{id}/Email/AttachmentAsEmail/{attachmentIndex}
Gets an attachment as an email object from the email file, for the specified item id, on the given listid.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| listId |
The id of the list. |
string |
Required |
| id |
The id of the list item. |
integer |
Required |
| attachmentIndex |
The index of the attachment in the list of attachments on the email. |
string |
Required |
Body Parameters
An optional parameter. The index of the parent attachment in the list of attachments on the email.
stringRequest Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>
Response Information
Resource Description
Returns the attachment file as an email object.
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.